
CREATE TABLE APPOINTMENTS
(
  ID                              VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP                DATE          DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP        VARCHAR2(20 CHAR) NOT NULL,
  SRC_UPDATE_TIMESTAMP            VARCHAR2(20 CHAR) NOT NULL,
  IS_DELETED                      NUMBER(1)     DEFAULT 0                     NOT NULL,
  ORGANIZATION_BI_CODE            VARCHAR2(20 CHAR),
  ORGANIZATION_NAME               VARCHAR2(300 CHAR),
  DEPARTMENT_ID                   VARCHAR2(100 CHAR),
  DEPARTMENT_NAME                 VARCHAR2(300 CHAR),
  COMMUNICATION_TYPE_CODE         VARCHAR2(10 CHAR),
  COMMUNICATION_TYPE_NAME         VARCHAR2(300 CHAR),
  COMMUNICATION_TYPE_NOTES        VARCHAR2(300 CHAR),
  COMMUNICATION_DATE              VARCHAR2(20 CHAR),
  APPOINTMENT_DATE                VARCHAR2(20 CHAR),
  VISIT_TYPE_CODE                 VARCHAR2(10 CHAR),
  VISIT_TYPE_NAME                 VARCHAR2(300 CHAR),
  DOCTOR_SOCIAL_SECURITY_NUMBER   VARCHAR2(20 CHAR),
  DOCTOR_RECORD_NUMBER            VARCHAR2(20 CHAR),
  PATIENT_SOCIAL_SECURITY_NUMBER  VARCHAR2(20 CHAR),
  APPOINTMENT_TIME                VARCHAR2(20 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

ALTER TABLE APPOINTMENTS ADD (
  CONSTRAINT APPOINTMENTS_PK
 PRIMARY KEY
 (ID));